<?xml version="1.0" encoding="UTF-8"?>
<configuration>
<system.webServer>

<defaultDocument>
<files>
<add value="index.asp" />
<add value="index" />
<add value="checkuser.asp" />
</files>
</defaultDocument>



<rewrite>
<rules>

<rule name="01"><match url="^index/([0-9,a-z,A-Z,_]*)$" ignoreCase="false" /><action type="Rewrite" url="/show/{R:1}.asp" /></rule>
<rule name="02"><match url="^user/([0-9,a-z,A-Z,_]*)$" ignoreCase="false" /><action type="Rewrite" url="/user/{R:1}.asp" /></rule>
<rule name="03"><match url="^userold/([0-9,a-z,A-Z,_]*)$" ignoreCase="false" /><action type="Rewrite" url="/userold/{R:1}.asp" /></rule>
<rule name="04"><match url="^class/([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/show/t.asp?id={R:1}" /></rule>
<rule name="05"><match url="^notice/([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/show/show.asp?id={R:1}" /></rule>
<rule name="06"><match url="^index\.html$" ignoreCase="false" /><action type="Rewrite" url="/index.asp" /></rule>
<rule name="07"><match url="^index\.asp$" ignoreCase="false" /><action type="Rewrite" url="/301/404.asp" /></rule>
<rule name="08"><match url="^301/([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/301/{R:1}.asp" /></rule>
<rule name="09"><match url="^u/([0-9,a-z,A-Z,_]*)$" ignoreCase="false" /><action type="Rewrite" url="/u/{R:1}.asp" /></rule>
<rule name="10"><match url="^reg/([0-9,a-z,A-Z,_]*)$" ignoreCase="false" /><action type="Rewrite" url="/show/regyaoqing.asp?id={R:1}" /></rule>

<rule name="new01"><match url="^chaxun$" ignoreCase="false" /><action type="Rewrite" url="/show/chaxun.asp" /></rule>
<rule name="new02"><match url="^tika$" ignoreCase="false" /><action type="Rewrite" url="/show/tika.asp" /></rule>				
<rule name="new03"><match url="^tousu$" ignoreCase="false" /><action type="Rewrite" url="/show/tousu.asp" /></rule>
<rule name="new04"><match url="^jubao$" ignoreCase="false" /><action type="Rewrite" url="/show/jubao.asp" /></rule>
<rule name="new05"><match url="^aotoedit$" ignoreCase="false" /><action type="Rewrite" url="/show/aotoedit.asp" /></rule>
<rule name="new06"><match url="^tousuadmin$" ignoreCase="false" /><action type="Rewrite" url="/show/tousuadmin.asp" /></rule>
<rule name="new07"><match url="^jubaoadmin$" ignoreCase="false" /><action type="Rewrite" url="/show/jubaoadmin.asp" /></rule>
<rule name="new08"><match url="^chaxunold$" ignoreCase="false" /><action type="Rewrite" url="/show/chaxunold.asp" /></rule>
<rule name="new09"><match url="^tikaold$" ignoreCase="false" /><action type="Rewrite" url="/show/tikaold.asp" /></rule>

<rule name="newbuy01"><match url="^([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=name" /></rule>
<rule name="newbuy02"><match url="^([0-9,a-z,A-Z]*)\.html$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=fenlei" /></rule>
<rule name="newbuy03"><match url="^([0-9,a-z,A-Z]*)\.htm$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=shangpin" /></rule>
<rule name="newbuy04"><match url="^buy/([0-9,a-z,A-Z]*)\.html$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=fenlei&amp;isduliurl=y" /></rule>
<rule name="newbuy05"><match url="^buy/([0-9,a-z,A-Z]*)\.htm$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=shangpin&amp;isduliurl=y" /></rule>

<rule name="oldbuy01"><match url="^([0-9,a-z,A-Z]*)\.stm$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=name" appendQueryString="false" /></rule>
<rule name="oldbuy02"><match url="^([0-9,a-z,A-Z]*)\.shtm$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=fenlei" appendQueryString="false" /></rule>
<rule name="oldbuy03"><match url="^buy/([0-9,a-z,A-Z]*)\.shtm$" ignoreCase="false" /><action type="Rewrite" url="/index.asp?id={R:1}&amp;form=fenlei&amp;isduliurl=y" appendQueryString="false" /></rule>

<rule name="shop_newp"><match url="^shop/newp$" ignoreCase="false" /><action type="Rewrite" url="/shop/newp.asp" /></rule>

<rule name="shop_old01"><match url="^shop/old/([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=name" /></rule>
<rule name="shop_old02"><match url="^shop/old/([0-9,a-z,A-Z]*)\.html$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=fenlei" /></rule>
<rule name="shop_old03"><match url="^shop/old/([0-9,a-z,A-Z]*)\.htm$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=shangpin" /></rule>
<rule name="shop_old04"><match url="^shop/old/buy/([0-9,a-z,A-Z]*)$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=name" /></rule>
<rule name="shop_old05"><match url="^shop/old/buy/([0-9,a-z,A-Z]*)\.html$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=fenlei&amp;isduliurl=y" /></rule>
<rule name="shop_old06"><match url="^shop/old/buy/([0-9,a-z,A-Z]*)\.htm$" ignoreCase="false" /><action type="Rewrite" url="/shop/old/newb.asp?id={R:1}&amp;form=shangpin&amp;isduliurl=y" /></rule>


</rules>
</rewrite>
 
<httpErrors errorMode="Detailed">
<remove statusCode="502" subStatusCode="-1" />
<remove statusCode="501" subStatusCode="-1" />
<remove statusCode="500" subStatusCode="-1" />
<remove statusCode="412" subStatusCode="-1" />
<remove statusCode="406" subStatusCode="-1" />
<remove statusCode="405" subStatusCode="-1" />
<remove statusCode="404" subStatusCode="-1" />
<remove statusCode="403" subStatusCode="-1" />
<remove statusCode="401" subStatusCode="-1" />
<error statusCode="401" prefixLanguageFilePath="" path="http://www.xxx.cn/301/401" responseMode="Redirect" />
<error statusCode="403" prefixLanguageFilePath="" path="http://www.xxx.cn/301/403" responseMode="Redirect" />
<error statusCode="404" prefixLanguageFilePath="" path="http://www.xxx.cn/301/404" responseMode="Redirect" />
<error statusCode="405" prefixLanguageFilePath="" path="http://www.xxx.cn/301/405" responseMode="Redirect" />
<error statusCode="406" prefixLanguageFilePath="" path="http://www.xxx.cn/301/406" responseMode="Redirect" />
<error statusCode="412" prefixLanguageFilePath="" path="http://www.xxx.cn/301/412" responseMode="Redirect" />
<error statusCode="500" prefixLanguageFilePath="" path="http://www.xxx.cn/301/500" responseMode="Redirect" />
<error statusCode="501" prefixLanguageFilePath="" path="http://www.xxx.cn/301/501" responseMode="Redirect" />
<error statusCode="502" prefixLanguageFilePath="" path="http://www.xxx.cn/301/502" responseMode="Redirect" />
</httpErrors>

        <security>
            <requestFiltering>
                <verbs>
                    <add verb="OPTIONS" allowed="false" />
                </verbs>
            </requestFiltering>
        </security>
        <handlers>
            <add name="php" path="*.php" verb="*" modules="FastCgiModule" scriptProcessor="C:\php564\php-cgi.exe" resourceType="Unspecified" />
        </handlers>

</system.webServer>
</configuration>